Package: org.gradle.api

## [Java] Interface Named

- Types can implement this interface and use the embedded Namer implementation, to satisfy API that calls for a namer.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `Named.Namer` | An implementation of the namer interface for objects implementing the named interface.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getName()` The object's name.

- - ### Method Detail

    - #### public String getName()

      The object's name.

      Must be constant for the life of the object.

      Returns:
        The name. Never null.